## golang-github-kshedden-dstream 0.0~git20190512.c4c4106

=== dstream/gen/Makefile ===
all: bcols base comparisons segment utils convert regroup dechunk replace generate memcopy streamcsv filtercol loadsave

.PHONY: bcols base comparisons segment utils convert regroup dechunk replace generate memcopy streamcsv filtercol loadsave

bcols:
	go run main.go -template=bcols.tmpl
segment:
	go run main.go -template=segment.tmpl
utils:
	go run main.go -template=utils.tmpl
comparisons:
	go run main.go -template=comparisons.tmpl
convert:
	go run main.go -template=convert.tmpl -numeric
regroup:
	go run main.go -template=regroup.tmpl
dechunk:
	go run main.go -template=dechunk.tmpl
replace:
	go run main.go -template=replace.tmpl
generate:
	go run main.go -template=generate.tmpl
memcopy:
	go run main.go -template=memcopy.tmpl
streamcsv:
	go run main.go -template=streamcsv.tmpl
filtercol:
	go run main.go -template=filtercol.tmpl
loadsave:
	go run main.go -template=loadsave.tmpl

=== debian/changelog ===
golang-github-kshedden-dstream (0.0~git20190512.c4c4106-2) unstable; urgency=medium

  * Add missing dependencies on the -dev package.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Sep 2025 09:08:46 +0200

golang-github-kshedden-dstream (0.0~git20190512.c4c4106-1) unstable; urgency=medium

  * Initial release. Closes: #1115182.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Sep 2025 08:25:40 +0200

=== debian/control ===
Source: golang-github-kshedden-dstream
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-golang-snappy-dev,
               golang-gonum-v1-gonum-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kshedden-dstream
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kshedden-dstream.git
Homepage: https://github.com/kshedden/dstream
XS-Go-Import-Path: github.com/kshedden/dstream

Package: golang-github-kshedden-dstream-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-github-golang-snappy-dev,
         golang-gonum-v1-gonum-dev,
Description: Process data streams in Golang (library)
 Dstream is a package for manipulating streams of typed, multivariate
 data in Go.  A Dstream is a Pandas dataframe-like container that
 holds a rectangular array of data in which the columns are variables
 and the rows are cases or observations.
 .
 Dstream is designed to handle large datasets, where it is not possible
 to load all data for all variables into memory at once.  To achieve
 this, Dstream utilizes a chunked, column-based storage format. A
 chunk contains the data for a contiguous block of rows. The data are
 stored by variable (column-wise) in typed Go slices.  Only one chunk of
 the Dstream is held in memory at one time.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/kshedden/dstream.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/kshedden/dstream/tags .*/v?(\d\S*)\.tar\.gz debian
